Bug 1076851

Summary: Build with system tinyxml
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: aqsisAssignee: Nicolas Chauvet (kwizart) <kwizart>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: kwizart
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 07:09:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 504493    
Attachments:
Description Flags
Build with system tinyxml none

Description Ville Skyttä 2014-03-15 15:03:50 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

Fix attached, build tested only. Let me know if you'd like me to push
and build this for devel.
Comment 1 Ville Skyttä 2014-03-15 15:03:54 EDT
Created attachment 874886 [details]
Build with system tinyxml
Comment 2 Nicolas Chauvet (kwizart) 2014-03-19 07:40:58 EDT
There is one hook missing from pristine tinyxml 2.6.2 from the filezilla copy.
I will check if it's on purpose with upstream.

Thx for the remind.
Comment 3 Nicolas Chauvet (kwizart) 2014-04-09 05:47:59 EDT
I don't remember why I thought this was a filezilla bug, but filezilla already has the same issue with tinyxml.

Here is the (old) upstream report that is still not fixed with tinxyml upstream which render the unfixed version pointless. (and unmaintained).
http://sourceforge.net/p/tinyxml/patches/51/

Best would be to switch to tinyxml2.
I will check if the aqsis copy is also patched.
Comment 4 Jaroslav Reznik 2015-03-03 11:59:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Fedora End Of Life 2016-07-19 07:09:38 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Ville Skyttä 2016-07-19 10:52:41 EDT
$ repoquery --repoid=rawhide-debuginfo -l aqsis-debuginfo 2>/dev/null | grep tinyxml
Comment 7 Jan Kurik 2016-07-26 00:32:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.